<?php
	require_once("persistance.inc.php");
	require_once("CElement.inc.php");
	require_once("CCompte.inc.php");
	Class Controleur
	{
		/********************************************
			Attribut de la classe Marque
		********************************************/
		private $oCompte;
		private $elements;
		private $pr_in;	
		private $fx_in;	
		private $pr_out;	
		private $fx_out;
		private $entete1;
		private $entete2;
		private $entete3;
		private $entete4;
		private $dx1;
		private $dx2;
		private $dx3;
		private $comm_av;
		private $comm_now;
		private $nb_trame_max;	
		private $nb_trame;
		private $id_last_trame;		
		
		/********************************************
		*	Constructeur de la Classe Marque
		*
		********************************************/
		public function Controleur()
		{
			$this->oCompte = "";
			$this->pr_in= "";
			$this->fx_in= "";	
			$this->pr_out= "";	
			$this->fx_out= "";
			$this->entete1= "";
			$this->entete2= "";
			$this->entete3= "";
			$this->entete4= "";
			$this->dx1=0;
			$this->dx2=0;
			$this->dx3=0;
			$this->comm_av=0;
			$this->comm_now=0;
			$this->nb_trame;
			$this->nb_trame_max;	
			$this->id_last_trame;		
		}
		/********************************************
		*
		*	Accesseur de la classe Marque
		*
		********************************************/
		public function __get($propriete)
		{
			if(isset($this->$propriete))
			{
				return $this->$propriete;
			}
			else
			{
				return "Attributs invalide";
			}
		}
		public function __set($propriete, $valeur)
		{
				$this->$propriete = $valeur;
		}		
		/********************************************
		*	Méthode : connexion
		*
		*	But : retour controleur
		*
		********************************************/ 
		public function valideCompte($login,$id)
		{
			$oPersistance = new Persistance();
			$resultat = $oPersistance->valideCompte($login,$id);
			return $resultat;		
		}
		public function chargerCompte($id)
		{
			$this->oCompte = new Compte();
			$ret=$this->oCompte->charger($id);
			return $ret;
		}
		public function chargerCheck()
		{
			$oPersistance = new Persistance();
			$ret=$oPersistance->chargerCheck($this->pr_in,$this->fx_in,$this->pr_out,$this->fx_out,$this->nb_trame,$this->nb_trame_max,$this->id_last_trame);
			return $ret;
		}
		public function rafraichir()
		{
			$oPersistance = new Persistance();
			$ret=$oPersistance->rafraichir($this->entete1,$this->entete2,$this->entete3,$this->entete4,$this->dx1,$this->dx2,$this->dx3,$this->comm_av,$this->comm_now,$this->elements);
			return $ret;
		}
		public function chargerFilDeLeau($id_last_write,$nb_trame_max)
		{
			$oPersistance = new Persistance();
			$ret=$oPersistance->chargerFilDeLeau($this->elements,$id_last_write,$nb_trame_max,$this->id_last_trame);
			return $ret;
		}
		public function recupMaxHisto()
		{
			$oPersistance = new Persistance();
			$ret=$oPersistance->recupMaxHisto();
			return $ret;
		}
		public function recupLimitElement()
		{
			$oPersistance = new Persistance();
			$ret=$oPersistance->recupLimitElement();
			return $ret;
		}
	}
?>
